
CoCoALib - Feature #144

Feature # 143 (In Progress): Buchberger-Moeller (parent task)

Buchberger-Moeller: generic impl

01 May 2012 11:35 - John Abbott

Status: Closed Start date: 01 May 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 20.00 hours

Target version: CoCoALib-0.99531 Spent time: 10.75 hours

Description

Implement generic BM algorithm over any field.

Aim is to make impl clean rather than fast.

Each input ideal is represented as a set of commuting matrices (one for each indet).

Related issues:

Related to CoCoALib - Feature #121: Porting "IdealOfPoints" Closed 04 Apr 2012

Related to CoCoALib - Feature #123: IdealOfPoints  with generic coeffs New 04 Apr 2012

Related to CoCoALib - Bug #349: IdealOfPoints: gens are actually a GBasis Closed 18 May 2013

History

#1 - 19 Nov 2012 10:34 - John Abbott

- Priority changed from Normal to Urgent

#2 - 22 Nov 2012 12:45 - John Abbott

- Status changed from New to Resolved

- Priority changed from Urgent to Normal

- % Done changed from 0 to 30

JAA has implemented a first prototype in CoCoALib.

It works on two simple examples.  Still need to:

make it accessible from CoCoA-5

write manual for CoCoALib

write manual for CoCoALib

refine the code to make it cleaner/more efficient (avoid wasteful copies)

The code is very simplistic, probably too simplistic (e.g. it cannot produce the separators).

The public interface is probably too simplistic too.

#3 - 21 Jan 2013 15:30 - John Abbott

- Category set to New Function

- Status changed from Resolved to Feedback

- Assignee set to John Abbott

- Target version set to CoCoALib-0.99534 Seoul14

- % Done changed from 30 to 60
Improved impl to handle case where NumPts differs from NumIndets.

Added IdealOfPoints to CoCoA-5.

Added a test (a bit too simple really).

Added doc (both for CoCoALib and CoCoA-5).

Decided to leave code as is (simple but inefficient) because it is so simple that there are obviously no bugs (but don't mention "bus error").  It will be a 

good reference impl.

#4 - 29 May 2013 16:54 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 60 to 100

This has been in feedback for 2 months without problems (and it has been used).

It may well become largely obsolete when the new impl has been completed, but it is always a good reference (and fall-back impl when some niftier

impl cannot be used).

#5 - 29 Oct 2013 14:50 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99531
